function mypatterndb = patterndb_20161109( mypatterninfo )
%  this codes creates a pattern db including every single pattern ever
%  observed for any given series in mypatterninfo
%   Detailed explanation goes here

mypatterndb=mypatterninfo{1,1}(:,1:2);

for i=2:size(mypatterninfo,1)   
    [~,missingind]=setdiff(mypatterninfo{i,1}(:,1),mypatterndb(:,1)); % find missing patterns
    mypatterndb=[mypatterndb;mypatterninfo{i,1}(missingind,1:2)];
end

